/*
 * @Author: yuta
 * @Date: 2021-06-15 15:30:54
 * @LastEditTime: 2021-12-16 17:16:02
 * @LastEditors: yuta
 */
import React from 'react';
import FloatPanelController from './views/FloatPanelController';
import LogManager from './func/LogManager';
import WebViewLogManager from './func/WebViewLogManager';
import ServerUrlManager from './func/ServerUrlManager';

export default class DebugManager {
  static debug = __DEV__; // 是否是测试模式
  static LogManager = LogManager; // http请求log管理类
  static WebViewLogManager = WebViewLogManager; // webview请求log管理类
  static ServerUrlManager = ServerUrlManager; // 服务器线路切换管理类

  // TODO: 线路切换
  // static initServerUrlMap(serverUrlMap, currentUrl, changeCallback) {
  //   DebugManager.currentUrl = currentUrl;
  //   DebugManager.serverUrlMap = serverUrlMap;
  //   DebugManager.changeCallback = changeCallback;
  //   return DebugManager;
  // }

  // TODO: 热更新key值切换
  // static initStagingKeyMap(deployKeyMap, currentKey, changeKeyCallback) {
  //   DebugManager.currentKey = currentKey;
  //   DebugManager.deployKeyMap = deployKeyMap;
  //   DebugManager.changeKeyCallback = changeKeyCallback;
  //   return DebugManager;
  // }

  // TODO: 初始化设备信息
  // static initDeviceInfo(deviceInfo) {
  //   DebugManager.DeviceInfo = deviceInfo;
  //   return DebugManager;
  // }

  // 退出调试工具
  static closeTool() {
    LogManager.httpRequestLogs = [];
    WebViewLogManager.webViewLoadLogs = [];
    this.debug = false;
  }

  // type of  RootSiblings (3.x) 工具浮点
  static openTool() {
    this.debug = true;
  }

  static renderFloatPanel() {
    return this.debug ? <FloatPanelController /> : null;
  }
}
