/*
 * @Author: yuta
 * @Date: 2021-06-18 12:00:16
 * @LastEditTime: 2021-06-21 17:56:32
 * @LastEditors: yuta
 *
 */
import {isEmpty, costTimeWork, dateFormat} from '../utils/index';
import DebugManager from '../DebugManager';

export default class LogManager {
  static httpRequestLogs = [];
  //Http请求日志（请求结果过大的数据不保存）
  static appendHttpLogs(response) {
    const config = response.config;
    const {common, get, post, put, patch, head, ...other} = config.headers;
    if (!DebugManager.debug || isEmpty(response)) {
      return;
    }

    costTimeWork(() => {
      let obj = {
        status: response.status === 200 && response.data.code === 200,
        url: `${config.baseURL + config.url}`,
        method: config.method,
        apiName: config.url,
        param: JSON.stringify(config.data ?? ''),
        headers: JSON.stringify(other),
        result: JSON.stringify(response.data),
        timeStr: dateFormat(new Date(), 'MM月dd日 hh时mm分ss秒S毫秒'),
      };

      this.httpRequestLogs.unshift(obj);
      //若日志个数大于30，则删除前10个
      if (this.httpRequestLogs.length > 30) {
        this.httpRequestLogs.splice(10);
      }
    });
    console.log(this.httpRequestLogs, 'httpRequestLogs');
  }

  //获取Http请求日志列表
  static getHttpLogs() {
    return this.httpRequestLogs;
  }

  //清除Http请求日志列表
  static clearHttpLogs() {
    this.httpRequestLogs = [];
  }
}
