/*
 * @Author: yuta
 * @Date: 2021-06-21 11:34:24
 * @LastEditTime: 2021-12-16 16:24:36
 * @LastEditors: yuta
 */
import AsyncStorage from '@react-native-community/async-storage';

export default class ServerUrlManager {
  static serverUrlMap = [];
  static currentHost: string;
  static #HOST_KEY = 'HOST_KEY';

  static initServerUrlMap(serverUrlMap) {
    this.serverUrlMap = serverUrlMap;
  }

  static async initHost() {
    const res = await this.getHost();
    this.setHost(res);
  }

  static async getHost() {
    if (this.currentHost) {
      return this.currentHost;
    }
    const res = await AsyncStorage.getItem(this.#HOST_KEY);
    if (res) {
      this.currentHost = res;
    } else {
      this.currentHost = '';
    }
    return this.currentHost;
  }

  static setHost(host: string) {
    this.currentHost = host;
    AsyncStorage.setItem(this.#HOST_KEY, host);
  }
}
