/*
 * @Author: yuta
 * @Date: 2021-06-18 15:26:28
 * @LastEditTime: 2021-06-18 15:36:33
 * @LastEditors: yuta
 */
import {costTimeWork, dateFormat} from '../utils/index';
import DebugManager from '../DebugManager';

export default class WebViewLogManager {
  static webViewLoadLogs = [];

  //webView加载Url
  static appendWebViewLogs(loadUrl) {
    if (!DebugManager.debug) {
      return;
    }
    costTimeWork(() => {
      this.webViewLoadLogs.unshift({
        url: loadUrl,
        timeStr: dateFormat(new Date(), 'MM月dd日 hh时mm分ss秒S毫秒'),
      });
      //若url个数大于100，则删除前20个
      if (this.webViewLoadLogs.length > 100) {
        this.webViewLoadLogs.splice(20);
      }
    });
  }

  //获取webView加载日志列表
  static getWebLoadLogs() {
    return this.webViewLoadLogs;
  }
}
