/*
 * @Author: yuta
 * @Date: 2021-06-21 11:11:54
 * @LastEditTime: 2021-12-16 16:24:49
 * @LastEditors: yuta
 */
import React, {useEffect, useMemo, useState} from 'react';
import {ScrollView, Text, View, TouchableOpacity} from 'react-native';
import DebugManager from '../DebugManager';
import {shadowDefault, px2dp} from '../utils/index';

const ServerUrl = (props) => {
  const {serverUrlMap, changeHost, currentHost} = props;

  const [hostIndex, set_hostIndex] = useState(() =>
    serverUrlMap?.findIndex((item) => item.host === currentHost),
  );

  useEffect(() => {
    if (serverUrlMap?.[hostIndex]?.host === currentHost) {
      return;
    }

    DebugManager.ServerUrlManager.setHost(serverUrlMap[hostIndex].host);
  }, [hostIndex]);

  return (
    <ScrollView showsVerticalScrollIndicator={false}>
      {serverUrlMap?.map((item, index) => {
        return (
          <TouchableOpacity
            key={index}
            activeOpacity={1}
            style={{
              paddingHorizontal: px2dp(10),
              paddingVertical: px2dp(20),
              backgroundColor: '#F8F8F8',
              borderRadius: 4,
              marginHorizontal: px2dp(20),
              marginBottom: px2dp(15),
              ...shadowDefault,
            }}
            onPress={() => {
              set_hostIndex(index);
              // typeof changeHost === 'function' && changeHost(item.host);
            }}>
            <View
              style={{
                display: 'flex',
                flexDirection: 'row',
                alignItems: 'center',
                justifyContent: 'center',
              }}>
              <Text
                style={{
                  fontSize: 16,
                  color: '#000',
                }}>
                {item.title}:
              </Text>

              <Text
                style={{
                  fontSize: 12,
                  color: hostIndex === index ? 'red' : '#000',
                  marginLeft: px2dp(10),
                }}>
                {item.host}
                {hostIndex === index ? '（当前线路）' : ''}
              </Text>
            </View>
          </TouchableOpacity>
        );
      })}
    </ScrollView>
  );
};

export default ServerUrl;
